# 类: AtAllMessage

[(返回目录)](/api.md)

**继承自:** [Message](/api/message.md)

RainyBot的At全体成员消息类，通常代表一个对应实例，此类消息仅适用于群聊

## 描述

这是RainyBot的At全体成员消息类，通常代表一个对应实例，此类消息仅适用于群聊\
此类实例代表在消息中At了全体成员，你也可以主动构建此类实例以便进行此操作

## 方法

* static [AtAllMessage](/api/atallmessage.md) **init ( )**

手动构造一个AtAllMessage类的实例，以便在消息中At全体成员

***

* static [AtAllMessage](/api/atallmessage.md) **init\_meta (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

通过机器人协议后端的元数据字典构造一个AtAllMessage类的实例，仅当你知道自己在做什么时才使用

***

* [String](https://docs.godotengine.org/en/latest/classes/class_string.html) **get\_as\_text ( )**

将此实例获取为字符串的形式

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/atallmessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
